Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface UserMailListFactory

    public interface UserMailListFactory

`UserMailListFactory` is a interface uses to get user implemented `UserMailList`. User can implement multiple classes of interface `UserMailList`, a implementaion may refer to a particular report, by `getInstance()`, user can get one implementation of `UserMailList`. To apply user customized `UserMailListFactory`, user should write own implmentation of it, add implementaion into classpath for server launching, then use -Dcom.jinfonet.mailListFactory parameter to indicate this implementation. for example: add "-Dcom.jinfonet.mailListFactory=DemoUserMailListFactoryImpl" in start up bat file.

See Also:
  `UserMailList`

Method Summary
`UserMailList` | `getInstance(ServerInfo serverInfo)` Get a `UserMailList` instance according to parameter `serverInfoserverInfo` equals null, it means system want to get a server default `UserMailList`, which is implemented by JReport server, mail addresses got from this object are stored in JReport server user accounts.

Method Detail

### getInstance

    UserMailList getInstance(ServerInfo serverInfo)

  Get a `UserMailList` instance according to parameter `serverInfoserverInfo` equals null, it means system want to get a server default `UserMailList`, which is implemented by JReport server, mail addresses got from this object are stored in JReport server user accounts. User can implement TaskListener to clear the customized `UserMialList` after run report, then clear refered resources by `UserMailList`, suchas db connections.

  Parameters:
    `serverInfo` - a `ServerInfo` instance, can get info from this object to get proper implementation of `UserMailList`.
  Returns:
    user implemented `UserMailList` refer to `serverInfo`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD